#include "PointersLibs.h"

BOOLEAN EvenBits(byte b)
{
    BOOLEAN even = TRUE;
    unsigned short loop_length;
    for (loop_length = sizeof(b) * EIGHT; loop_length; loop_length--)
    {
        even ^= b & MASK_FIRST_BIT;
        b >>= ONE;
    }
    
    return (even);
}

void main(void)
{
    byte b = 3;
    printf("%hu\n", EvenBits(b));
}